org.apache.jmeter.protocol.http.correlation.extractordata

## Class RegexExtractorData

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.extractordata.ExtractorData
  - - org.apache.jmeter.protocol.http.correlation.extractordata.RegexExtractorData

-     public class RegexExtractorData
      extends ExtractorData

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexExtractorData(String expr, String refName, String testName, String matchNr, String groupNumber, Boolean useHeaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getExpr()`
    `String` | `getTemplate()`
    `Boolean` | `getUseHeaders()`
    `int` | `hashCode()`
    `void` | `setExpr(String expr)`
    `void` | `setTemplate(String template)`
    `void` | `setUseHeaders(Boolean useHeaders)`

    - ### Methods inherited from class org.apache.jmeter.protocol.http.correlation.extractordata.ExtractorData

      `getContentType, getMatchNumber, getRefname, getTestName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexExtractorData

          public RegexExtractorData(String expr,
                                    String refName,
                                    String testName,
                                    String matchNr,
                                    String groupNumber,
                                    Boolean useHeaders)

  - ### Method Detail

    - #### getExpr

          public String getExpr()

    - #### getTemplate

          public String getTemplate()

    - #### getUseHeaders

          public Boolean getUseHeaders()

    - #### setExpr

          public void setExpr(String expr)

    - #### setTemplate

          public void setTemplate(String template)

    - #### setUseHeaders

          public void setUseHeaders(Boolean useHeaders)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ExtractorData`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ExtractorData`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.